
Application: gvSIG desktop - gvSIG bugs #4785
Problem with editing tool
01/09/2018 04:37 PM - Silvia Franceschi

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Application
Target version: 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
Severity: Blocker Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2846 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: editing, vertexes Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

If I try to edit the vertexes of a line in a layer there are problems in:
1. visualization of the new edited line (I have to save it before)
2. editing more than one vertex at a time before saving (only one edited vertex is supported, the second will be unregistered when
saving)
3. the layer is visualized with a red cross (only after saving it will come back normal)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4787: Can't edit the att... Closed 01/13/2018
Related to Application: gvSIG desktop - gvSIG bugs # 4788: Attribute editor e... Closed 01/13/2018

History
#1 - 01/18/2018 03:30 PM - Antonio Falciano

I can reproduce the issue. In detail, if I move one vertex of a polyline, the layer becomes greyed out in the ToC, only the vertices are visible in the view
(the line disappears) and I got the following error:

WARN 717926 MapControl Drawer Worker org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest - Problems drawing mapcontext.
org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'lines'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more
ERROR 717926 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from 'lines'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'lines'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureS
:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more
ERROR 717926 MapControl Drawer Worker org.gvsig.andami.messages.NotificationManager - There was errors loading from 'lines'.

- Problems drawing layer
- Index: 1, Size: 1

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'lines'.
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:346)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1151)
    at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1373)
    at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1593)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:466)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:352)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:142)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:330)
    ... 8 more
Caused by: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureType.getAttributeDescriptor(DefaultFeatureType.java:167)
    at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:91)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.getCorrectFeature(FeatureManager.java:191)
    at org.gvsig.fmap.dal.feature.impl.FeatureManager.get(FeatureManager.java:166)
    at org.gvsig.fmap.dal.feature.impl.featureset.FastEditedIterator.createFeature(FastEditedIterator.java:104)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:82)
    at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
    at org.gvsig.fmap.dal.feature.impl.featureset.EditedIterator.hasNext(EditedIterator.java:107)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:75)
    at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

:554)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:536)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:458)
    ... 11 more

Related to #4787 and #4788?

#2 - 01/18/2018 04:11 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to In progress

#3 - 01/18/2018 04:49 PM - Francisco Díaz Carsí
- Related to gvSIG bugs #4787: Can't edit the attributes manually added

#4 - 01/18/2018 04:49 PM - Francisco Díaz Carsí
- Related to gvSIG bugs #4788: Attribute editor errors added

#5 - 01/18/2018 04:53 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
- Status changed from In progress to Fixed

No era simplemente un problema de editar vértices, con otras herramientas de edición también ocurría.
Tras comprobar el bug, me actualizo el workspace y veo que Joaquín ya ha arreglado otros tiquets que parecían relacionados con éste (#4787 y
#4788 que las he relacionado).

Compilo y compruebo que se ha solucionado este problema.

#6 - 01/18/2018 05:03 PM - Francisco Díaz Carsí
- Status changed from Fixed to In progress

#7 - 01/18/2018 05:06 PM - Francisco Díaz Carsí

Oh, no está del todo arreglado.

Los puntos 1 y 3 sí se arreglan con lo que digo en el comentario anterior, pero falta el punto 3.

La edición de vértices solo permite editar uno, a los siguientes no hace ni caso.
Sigo con ello.

#8 - 01/19/2018 07:03 PM - Francisco Díaz Carsí
- Status changed from In progress to Fixed
Arreglado también el punto 2.

#9 - 01/30/2018 09:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed
